import i18n from "i18next";
import LanguageDetector from "i18next-browser-languagedetector";
import { initReactI18next } from "react-i18next";
import { general as generalEng } from "./eng/general";
import { general as generalPol } from "./pol/general";

i18n
	.use(initReactI18next)
	.use(LanguageDetector)
	.init({
		resources: {
			eng: {
				general: generalEng,
			},
			pol: {
				general: generalPol,
			},
		},
		fallbackLng: "eng",
		interpolation: {
			escapeValue: false,
		},
		defaultNS: "general",
	});
